varying vec3 lightDir,normal;
varying vec4 position;

void main()
{
	// We get the current position
	position = gl_Position;
	// We pass the interpolated light direction to the fragment shader
	lightDir = normalize(position.xyz - vec3(gl_LightSource[0].position));
	// We pass the interpolated normal to the fragment shader
	normal = gl_NormalMatrix * gl_Normal;
	// We pass the interpolated texture to the fragment shader
	// This is needed just if we are mapping the textcoord
// 	gl_TexCoord[0] = gl_MultiTexCoord0;

	gl_Position = ftransform();
}
