/***************************************************************************
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *   The coordinates were created by Ariel Arelovich                       *
 *   aarelovich@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "torus.h"

Torus::Torus() : ConnectivityMatrix(7, 7)
{
	matrix[0] = Point4F(0.75, 0.25, 0.0);
	matrix[1] = Point4F(1.0, 0.0, 0.0);
	matrix[2] = Point4F(1.0, 0.0, 0.25);
	matrix[3] = Point4F(0.75, 0.25, 0.25);
	matrix[4] = Point4F(0.75, 0.25, 0.0);
	matrix[5] = Point4F(1.0, 0.0, 0.0);
	matrix[6] = Point4F(1.0, 0.0, 0.25);

	matrix[7] = Point4F(0.25, 0.25, 0.0);
	matrix[8] = Point4F(0.0, 0.0, 0.0);
	matrix[9] = Point4F(0.0, 0.0, 0.25);
	matrix[10] = Point4F(0.25, 0.25, 0.25);
	matrix[11] = Point4F(0.25, 0.25, 0.0);
	matrix[12] = Point4F(0.0, 0.0, 0.0);
	matrix[13] = Point4F(0.0, 0.0, 0.25);

	matrix[14] = Point4F(0.25, 0.75, 0.0);
	matrix[15] = Point4F(0.0, 1.0, 0.0);
	matrix[16] = Point4F(0.0, 1.0, 0.25);
	matrix[17] = Point4F(0.25, 0.75, 0.25);
	matrix[18] = Point4F(0.25, 0.75, 0.0);
	matrix[19] = Point4F(0.0, 1.0, 0.0);
	matrix[20] = Point4F(0.0, 1.0, 0.25);

	matrix[21] = Point4F(0.75, 0.75, 0.0);
	matrix[22] = Point4F(1.0, 1.0, 0.0);
	matrix[23] = Point4F(1.0, 1.0, 0.25);
	matrix[24] = Point4F(0.75, 0.75, 0.25);
	matrix[25] = Point4F(0.75, 0.75, 0.0);
	matrix[26] = Point4F(1.0, 1.0, 0.0);
	matrix[27] = Point4F(1.0, 1.0, 0.25);

	matrix[28] = Point4F(0.75, 0.25, 0.0);
	matrix[29] = Point4F(1.0, 0.0, 0.0);
	matrix[30] = Point4F(1.0, 0.0, 0.25);
	matrix[31] = Point4F(0.75, 0.25, 0.25);
	matrix[32] = Point4F(0.75, 0.25, 0.0);
	matrix[33] = Point4F(1.0, 0.0, 0.0);
	matrix[34] = Point4F(1.0, 0.0, 0.25);

	matrix[35] = Point4F(0.25, 0.25, 0.25);
	matrix[36] = Point4F(0.0, 0.0, 0.0);
	matrix[37] = Point4F(0.0, 0.0, 0.25);
	matrix[38] = Point4F(0.25, 0.25, 0.25);
	matrix[39] = Point4F(0.25, 0.25, 0.0);
	matrix[40] = Point4F(0.0, 0.0, 0.0);
	matrix[41] = Point4F(0.0, 0.0, 0.25);

	matrix[42] = Point4F(0.25, 0.75, 0.0);
	matrix[43] = Point4F(0.0, 1.0, 0.0);
	matrix[44] = Point4F(0.0, 1.0, 0.25);
	matrix[45] = Point4F(0.25, 0.75, 0.25);
	matrix[46] = Point4F(0.25, 0.75, 0.0);
	matrix[47] = Point4F(0.0, 1.0, 0.0);
	matrix[48] = Point4F(0.0, 1.0, 0.25);
}

