/***************************************************************************
 *   Copyright (C) 2008 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "tube.h"

Tube::Tube() : ConnectivityMatrix(7, 4)
{
	matrix[0] = Point4F(0.25, 0.25, 0.25, 0.0);
	matrix[1] = Point4F(0.25, 0.25, 0.25, 0.0);
	matrix[2] = Point4F(0.75, 0.25, 0.25, 0.0);
	matrix[3] = Point4F(0.75, 0.25, 0.25, 0.0);

	matrix[4] = Point4F(0.25, 0.25, 0.75, 0.0);
	matrix[5] = Point4F(0.25, 0.25, 0.75, 0.0);
	matrix[6] = Point4F(0.75, 0.25, 0.75, 0.0);
	matrix[7] = Point4F(0.75, 0.25, 0.75, 0.0);

	matrix[8] = Point4F(0.25, 0.75, 0.75, 0.0);
	matrix[9] = Point4F(0.25, 0.75, 0.75, 0.0);
	matrix[10] = Point4F(0.75, 0.75, 0.75, 0.0);
	matrix[11] = Point4F(0.75, 0.75, 0.75, 0.0);

	matrix[12] = Point4F(0.25, 0.75, 0.25, 0.0);
	matrix[13] = Point4F(0.25, 0.75, 0.25, 0.0);
	matrix[14] = Point4F(0.75, 0.75, 0.25, 0.0);
	matrix[15] = Point4F(0.75, 0.75, 0.25, 0.0);

	matrix[16] = Point4F(0.25, 0.25, 0.25, 0.0);
	matrix[17] = Point4F(0.25, 0.25, 0.25, 0.0);
	matrix[18] = Point4F(0.75, 0.25, 0.25, 0.0);
	matrix[19] = Point4F(0.75, 0.25, 0.25, 0.0);

	matrix[20] = Point4F(0.25, 0.25, 0.75, 0.0);
	matrix[21] = Point4F(0.25, 0.25, 0.75, 0.0);
	matrix[22] = Point4F(0.75, 0.25, 0.75, 0.0);
	matrix[23] = Point4F(0.75, 0.25, 0.75, 0.0);

	matrix[24] = Point4F(0.25, 0.75, 0.75, 0.0);
	matrix[25] = Point4F(0.25, 0.75, 0.75, 0.0);
	matrix[26] = Point4F(0.75, 0.75, 0.75, 0.0);
	matrix[27] = Point4F(0.75, 0.75, 0.75, 0.0);

// 	debug();
}







